package com.casic.dcms.model;

import java.util.List;

public class WellDetailBean {

    private String displayFieldName;
    private FieldAliasesBean fieldAliases;
    private String geometryType;
    private SpatialReferenceBean spatialReference;
    private List<FieldsBean> fields;
    private List<FeaturesBean> features;

    public String getDisplayFieldName() {
        return displayFieldName;
    }

    public void setDisplayFieldName(String displayFieldName) {
        this.displayFieldName = displayFieldName;
    }

    public FieldAliasesBean getFieldAliases() {
        return fieldAliases;
    }

    public void setFieldAliases(FieldAliasesBean fieldAliases) {
        this.fieldAliases = fieldAliases;
    }

    public String getGeometryType() {
        return geometryType;
    }

    public void setGeometryType(String geometryType) {
        this.geometryType = geometryType;
    }

    public SpatialReferenceBean getSpatialReference() {
        return spatialReference;
    }

    public void setSpatialReference(SpatialReferenceBean spatialReference) {
        this.spatialReference = spatialReference;
    }

    public List<FieldsBean> getFields() {
        return fields;
    }

    public void setFields(List<FieldsBean> fields) {
        this.fields = fields;
    }

    public List<FeaturesBean> getFeatures() {
        return features;
    }

    public void setFeatures(List<FeaturesBean> features) {
        this.features = features;
    }

    public static class FieldAliasesBean {
        private String objectid;
        private String 编号;
        private String 附属物编码;
        private String 地面高程;
        private String x坐标;
        private String y坐标;
        private String 井深;
        private String 附属物名称;
        private String 所属道路;
        private String 建设年代;
        private String 权属单位;
        private String 备注;
        private String jd;
        private String wd;

        public String getObjectid() {
            return objectid;
        }

        public void setObjectid(String objectid) {
            this.objectid = objectid;
        }

        public String get编号() {
            return 编号;
        }

        public void set编号(String 编号) {
            this.编号 = 编号;
        }

        public String get附属物编码() {
            return 附属物编码;
        }

        public void set附属物编码(String 附属物编码) {
            this.附属物编码 = 附属物编码;
        }

        public String get地面高程() {
            return 地面高程;
        }

        public void set地面高程(String 地面高程) {
            this.地面高程 = 地面高程;
        }

        public String getX坐标() {
            return x坐标;
        }

        public void setX坐标(String x坐标) {
            this.x坐标 = x坐标;
        }

        public String getY坐标() {
            return y坐标;
        }

        public void setY坐标(String y坐标) {
            this.y坐标 = y坐标;
        }

        public String get井深() {
            return 井深;
        }

        public void set井深(String 井深) {
            this.井深 = 井深;
        }

        public String get附属物名称() {
            return 附属物名称;
        }

        public void set附属物名称(String 附属物名称) {
            this.附属物名称 = 附属物名称;
        }

        public String get所属道路() {
            return 所属道路;
        }

        public void set所属道路(String 所属道路) {
            this.所属道路 = 所属道路;
        }

        public String get建设年代() {
            return 建设年代;
        }

        public void set建设年代(String 建设年代) {
            this.建设年代 = 建设年代;
        }

        public String get权属单位() {
            return 权属单位;
        }

        public void set权属单位(String 权属单位) {
            this.权属单位 = 权属单位;
        }

        public String get备注() {
            return 备注;
        }

        public void set备注(String 备注) {
            this.备注 = 备注;
        }

        public String getJd() {
            return jd;
        }

        public void setJd(String jd) {
            this.jd = jd;
        }

        public String getWd() {
            return wd;
        }

        public void setWd(String wd) {
            this.wd = wd;
        }
    }

    public static class SpatialReferenceBean {
        private int wkid;
        private int latestWkid;

        public int getWkid() {
            return wkid;
        }

        public void setWkid(int wkid) {
            this.wkid = wkid;
        }

        public int getLatestWkid() {
            return latestWkid;
        }

        public void setLatestWkid(int latestWkid) {
            this.latestWkid = latestWkid;
        }
    }

    public static class FieldsBean {
        private String name;
        private String type;
        private String alias;
        private int length;

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getAlias() {
            return alias;
        }

        public void setAlias(String alias) {
            this.alias = alias;
        }

        public int getLength() {
            return length;
        }

        public void setLength(int length) {
            this.length = length;
        }
    }

    public static class FeaturesBean {
        private AttributesBean attributes;
        private GeometryBean geometry;

        public AttributesBean getAttributes() {
            return attributes;
        }

        public void setAttributes(AttributesBean attributes) {
            this.attributes = attributes;
        }

        public GeometryBean getGeometry() {
            return geometry;
        }

        public void setGeometry(GeometryBean geometry) {
            this.geometry = geometry;
        }

        public static class AttributesBean {
            /**
             * objectid : 3984
             * 编号 : GX_WSD_4107_HLDD150
             * 附属物编码 : 4107
             * 地面高程 : 59.462
             * x坐标 : 3071874.507
             * y坐标 : 408323.999
             * 井深 : 2.72
             * 附属物名称 : 污水井
             * 所属道路 : 活力大道
             * 建设年代 :
             * 权属单位 :
             * 备注 :
             * jd : 116.070072
             * wd : 27.757135
             */

            private int objectid;
            private String 编号;
            private int 附属物编码;
            private double 地面高程;
            private double x坐标;
            private double y坐标;
            private double 井深;
            private String 附属物名称;
            private String 所属道路;
            private String 建设年代;
            private String 权属单位;
            private String 备注;
            private double jd;
            private double wd;

            public int getObjectid() {
                return objectid;
            }

            public void setObjectid(int objectid) {
                this.objectid = objectid;
            }

            public String get编号() {
                return 编号;
            }

            public void set编号(String 编号) {
                this.编号 = 编号;
            }

            public int get附属物编码() {
                return 附属物编码;
            }

            public void set附属物编码(int 附属物编码) {
                this.附属物编码 = 附属物编码;
            }

            public double get地面高程() {
                return 地面高程;
            }

            public void set地面高程(double 地面高程) {
                this.地面高程 = 地面高程;
            }

            public double getX坐标() {
                return x坐标;
            }

            public void setX坐标(double x坐标) {
                this.x坐标 = x坐标;
            }

            public double getY坐标() {
                return y坐标;
            }

            public void setY坐标(double y坐标) {
                this.y坐标 = y坐标;
            }

            public double get井深() {
                return 井深;
            }

            public void set井深(double 井深) {
                this.井深 = 井深;
            }

            public String get附属物名称() {
                return 附属物名称;
            }

            public void set附属物名称(String 附属物名称) {
                this.附属物名称 = 附属物名称;
            }

            public String get所属道路() {
                return 所属道路;
            }

            public void set所属道路(String 所属道路) {
                this.所属道路 = 所属道路;
            }

            public String get建设年代() {
                return 建设年代;
            }

            public void set建设年代(String 建设年代) {
                this.建设年代 = 建设年代;
            }

            public String get权属单位() {
                return 权属单位;
            }

            public void set权属单位(String 权属单位) {
                this.权属单位 = 权属单位;
            }

            public String get备注() {
                return 备注;
            }

            public void set备注(String 备注) {
                this.备注 = 备注;
            }

            public double getJd() {
                return jd;
            }

            public void setJd(double jd) {
                this.jd = jd;
            }

            public double getWd() {
                return wd;
            }

            public void setWd(double wd) {
                this.wd = wd;
            }
        }

        public static class GeometryBean {
            /**
             * x : 116.07007205499997
             * y : 27.757134534999977
             */

            private double x;
            private double y;

            public double getX() {
                return x;
            }

            public void setX(double x) {
                this.x = x;
            }

            public double getY() {
                return y;
            }

            public void setY(double y) {
                this.y = y;
            }
        }
    }
}
